### Function

# Gimp context_get_pattern

since: 2.2

#### Declaration [src]

    GimpPattern*
    gimp_context_get_pattern (
      void
    )

#### Description [src]

Get the currently active pattern.

Returns the active pattern in the current context. All clone and bucket-fill operations with patterns will use this pattern to control the application of paint to the image.

Available since: 2.2

#### Return value

Type: `GimpPattern`

The active pattern.

The data is owned by the called function.